<html lang="en">
<head>
<title>Canned Configuration - Semantic Manual</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Semantic Manual">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Installation_002fBasic-Configuration.html#Installation_002fBasic-Configuration" title="Installation/Basic Configuration">
<link rel="next" href="Search-Optimization.html#Search-Optimization" title="Search Optimization">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
This manual documents Semantic, a new intrastructure for parser
based text analysis for Emacs.

Copyright (C) 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2007 Eric M. Ludlam
Copyright (C) 2001, 2002, 2003, 2005 David Ponce
Copyright (C) 2002, 2003 Richard Y. Kim

     Permission is granted to copy, distribute and/or modify this
     document under the terms of the GNU Free Documentation License,
     Version 1.1 or any later version published by the Free Software
     Foundation; with the Invariant Sections being list their titles,
     with the Front-Cover Texts being list, and with the Back-Cover
     Texts being list.  A copy of the license is included in the
     section entitled ``GNU Free Documentation License''.
-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Canned-Configuration"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Search-Optimization.html#Search-Optimization">Search Optimization</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Installation_002fBasic-Configuration.html#Installation_002fBasic-Configuration">Installation/Basic Configuration</a>
<hr>
</div>

<h3 class="section">2.1 Canned Configuration</h3>

<p>As described briefly in the cedet/INSTALL file, there are several
canned configurations you can use.  These configuration files just
turn different semantic modes on and off, but don't change intrinsic
semantic parsing behaviors.

<div class="defun">
&mdash; Command: <b>semantic-load-enable-minimum-features</b><var><a name="index-semantic_002dload_002denable_002dminimum_002dfeatures-1"></a></var><br>
<blockquote><p><a name="semantic_002dload_002denable_002dminimum_002dfeatures"></a>
Enable the minimum number of semantic features for basic usage. 
This includes:
          <dl>
<dt><dfn>semantic-idle-scheduler-mode</dfn><dd>Keeps a buffer's parse tree up to date. 
(see <a href="../semantic_002duser/Idle-Scheduler.html#g_t_0028semantic_002duser_0029Idle-Scheduler">(semantic-user)Idle Scheduler</a>.) 
<br><dt><code>semanticdb-minor-mode</code><dd>Stores tags when a buffer is not in memory. 
(see <a href="../semantic_002duser/semanticdb.html#g_t_0028semantic_002duser_0029semanticdb">(semantic-user)semanticdb</a>.) 
<br><dt><dfn>semanticdb-load-system-caches</dfn><dd>Loads any systemdbs created earlier. 
(see <a href="../semantic_002duser/semanticdb.html#g_t_0028semantic_002duser_0029semanticdb">(semantic-user)semanticdb</a>.) 
<br><dt><dfn>semanticdb-load-ebrowse-caches</dfn><dd>Loads any ebrowse dbs created earlier. 
(see <a href="../semantic_002duser/Create-System-Databases.html#g_t_0028semantic_002duser_0029Create-System-Databases">(semantic-user)Create System Databases</a>.) 
</dl>
     </p></blockquote></div>

<div class="defun">
&mdash; Command: <b>semantic-load-enable-code-helpers</b><var><a name="index-semantic_002dload_002denable_002dcode_002dhelpers-2"></a></var><br>
<blockquote><p><a name="semantic_002dload_002denable_002dcode_002dhelpers"></a>
Enable some semantic features that provide coding assistance. 
This includes <dfn>semantic-load-enable-minimum-features</dfn> plus:
          <dl>
<dt><dfn>imenu</dfn><dd>Lists Semantic generated tags in the menubar. 
<br><dt><dfn>semantic-idle-summary-mode</dfn><dd>Show a summary for the tag indicated by
code under point.  (intellisense)
(see <a href="../semantic_002duser/Idle-Summary-Mode.html#g_t_0028semantic_002duser_0029Idle-Summary-Mode">(semantic-user)Idle Summary Mode</a>.) 
<br><dt><dfn>senator-minor-mode</dfn><dd>Semantic Navigator, and global menu for all features semantic. 
(see <a href="../semantic_002duser/senator.html#g_t_0028semantic_002duser_0029senator">(semantic-user)senator</a>.) 
<br><dt><dfn>semantic-mru-bookmark-mode</dfn><dd>Provides a `switch-to-buffer' like keybinding for tag names. 
(see <a href="../semantic_002duser/MRU-Bookmarks-Mode.html#g_t_0028semantic_002duser_0029MRU-Bookmarks-Mode">(semantic-user)MRU Bookmarks Mode</a>.) 
</dl>
     </p></blockquote></div>

<div class="defun">
&mdash; Command: <b>semantic-load-enable-gaudy-code-helpers</b><var><a name="index-semantic_002dload_002denable_002dgaudy_002dcode_002dhelpers-3"></a></var><br>
<blockquote><p><a name="semantic_002dload_002denable_002dgaudy_002dcode_002dhelpers"></a>
Enable semantic features that provide gaudy coding assistance. 
This includes <dfn>semantic-load-enable-code-helpers</dfn>.
          <dl>
<dt><dfn>semantic-stickyfunc-mode</dfn><dd>Tracks current function in header-line (when available). 
(see <a href="../semantic_002duser/Sticky-Function-Mode.html#g_t_0028semantic_002duser_0029Sticky-Function-Mode">(semantic-user)Sticky Function Mode</a>.) 
<br><dt><dfn>semantic-idle-completions-mode</dfn><dd>Provide smart symbol completion automatically at idle time. 
(see <a href="../semantic_002duser/Idle-Completions-Mode.html#g_t_0028semantic_002duser_0029Idle-Completions-Mode">(semantic-user)Idle Completions Mode</a>.) 
<br><dt><dfn>semantic-decoration-mode</dfn><dd>Decorate tags based on various attributes. 
(see <a href="../semantic_002duser/Tag-Decoration-Mode.html#g_t_0028semantic_002duser_0029Tag-Decoration-Mode">(semantic-user)Tag Decoration Mode</a>.) 
</dl>

     <pre class="sp">
     
     </pre>
     <strong>Compatibility</strong>:
<code>semantic-load-enable-gaudy-code-helpers</code> introduced in <i>semantic</i> version 2.0 supercedes
<code>semantic-load-enable-guady-code-helpers</code> which is now obsolete. 
</p></blockquote></div>

<div class="defun">
&mdash; Command: <b>semantic-load-enable-excessive-code-helpers</b><var><a name="index-semantic_002dload_002denable_002dexcessive_002dcode_002dhelpers-4"></a></var><br>
<blockquote><p><a name="semantic_002dload_002denable_002dexcessive_002dcode_002dhelpers"></a>
Enable all semantic features that provide coding assistance. 
This includes all features of <dfn>semantic-load-enable-code-helpers</dfn> plus:
          <dl>
<dt><dfn>which-func-mode</dfn><dd>Display the current function in the mode line. 
</dl>

     </blockquote></div>

<div class="defun">
&mdash; Command: <b>semantic-load-enable-semantic-debugging-helpers</b><var><a name="index-semantic_002dload_002denable_002dsemantic_002ddebugging_002dhelpers-5"></a></var><br>
<blockquote><p><a name="semantic_002dload_002denable_002dsemantic_002ddebugging_002dhelpers"></a>
Enable all semantic features that assist with debugging semantic. 
These modes include:
          <dl>
<dt><dfn>semantic-highlight-edits-mode</dfn><dd>Highlight text that has been edited since the last parse step. 
(see <a href="../semantic_002duser/Highlight-Edits-Mode.html#g_t_0028semantic_002duser_0029Highlight-Edits-Mode">(semantic-user)Highlight Edits Mode</a>.) 
<br><dt><dfn>semantic-show-unmatched-syntax-mode</dfn><dd>Highlight lexical tokens which failed to be parsed. 
(see <a href="../semantic_002duser/Unmatched-Syntax-Highlighting.html#g_t_0028semantic_002duser_0029Unmatched-Syntax-Highlighting">(semantic-user)Unmatched Syntax Highlighting</a>.) 
<br><dt><dfn>semantic-show-parser-state-mode</dfn><dd>Show the current buffer state via small indicators in the mode line. 
(see <a href="../semantic_002duser/Parser-State.html#g_t_0028semantic_002duser_0029Parser-State">(semantic-user)Parser State</a>.) 
</dl>

     </blockquote></div>

</body></html>

